# Dfs sympas -- Useful things
# <ludo@type-z.org>            *Lout*            <ludovic.courtes@utbm.fr>
# vim:ft=lout:


# Unbreakable `French quotes' (guillemets)

def "<<"
	precedence 10
	right word
{ { @Char guillemotleft  }" "{ word } }
def ">>"
	precedence 10
	left  word
{ { word }" "{ @Char guillemotright } }

# Miscellaneous useful characters

macro "``" { @Char quotedblleft   }
macro "''" { @Char quotedblright  }
macro "->" { @Sym  arrowright     }
macro "<-" { @Sym  arrowleft      }
macro "=>" { @Sym arrowdblright   }
macro "<=" { @Sym arrowdblleft    }
macro @Mul { @Char multiply       }
macro @oe  { @Char oe             }
#macro "^"  { @Sup                 } # This one doesn't always work (?)
macro @mu  { @Sym mu              }


# Style

def @URL right x
{ { "http://"{ x } } @ExternalLink { <@I{x}> } }

def @LeftRight
  left  l
  right r
{ @HExpand {l}{ r } }

#def   @Shaded right text
#  { { lightgrey @Color { 1 1.5 } @Scale { text } } //0fo { text } }
